Create a Payout Agent Credential
Issue a credential that authenticates as the payout agent on the Payout Agent API. The response is the only time `token` is returned; Dots stores only a hash of it. A payout agent can have several active credentials.
Issue a credential that authenticates as the payout agent on the Payout Agent API. The response is the only time token is returned; Dots stores only a hash of it. A payout agent can have several active credentials.
Authorization
api_key In: header
Path Parameters
ID of the payout agent.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials" \ -H "Content-Type: application/json" \ -d '{ "name": "Production agent runtime" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "payout_agent_credential", "payout_agent_id": "79fb14fc-ce5a-4ca6-83f8-93ffe10240da", "name": "string", "token": "string", "token_last_four": "string", "active": true, "revoked_at": "2019-08-24T14:15:22Z", "last_used_at": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z"}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}List Payout Agent Credentials
List a payout agent's credentials, including revoked ones, newest first. Tokens are never returned by this endpoint. This list is not paginated.
Rotate a Payout Agent Credential
Issue a replacement credential with the same name and revoke this one immediately. The response is the replacement, and is the only time its `token` is returned.